// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Tab 1',
    backgroundColor:'#fff'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Tab 1',
    window:win1
});

var button = Ti.UI.createButton({
	title : "Test 1"
});

button.addEventListener('click', function(e) {
	var menuView = Ti.UI.createView({
		width : Ti.UI.SIZE,
		height : Ti.UI.SIZE
	});
	win1.add(menuView);

	Ti.UI.iOS.createDocumentViewer({
		url : 'sample.pdf'
	}).show({
		view : menuView
	});

	/*
	 Note: if you would like to preview the document prior to sharing, you can leave off the view property of the show() method
	 */
});

win1.add(button); 


//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Tab 2',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Tab 2',
    window:win2
});

var button2 = Ti.UI.createButton({
    title: 'Open'
});
 
var viewer = Ti.UI.iPad.createDocumentViewer({
    url: 'sample.pdf'
});
 
button2.addEventListener('click', function(){
    viewer.show();
});

win2.add(button2);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();
